Bug 112975 - LibO is maxing out one core for a long time (since LibO 6.0)
Summary: LibO is maxing out one core for a long time (since LibO 6.0)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: VCL-Scheduler
  Show dependency treegraph
 
Reported: 2017-10-07 12:53 UTC by Telesto
Modified: 2018-03-14 23:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (2.91 KB, text/plain)
2017-10-07 12:54 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-10-07 12:53:11 UTC
Description:
LibO is maxing out one core for a long time (since LibO 6.0)

Steps to Reproduce:
1. Download attachment 134007 [details]
2. Make a few copy's of it (3)
3. Open Writer
3. Disable Automatic spell checking (SHIFT+F7)Tools -> Spell Checking
3. Open all three of them at once, at monitor how long it takes until CPU utilization drops to (nearly zero)


Actual Results:  
Constant maxing out CPU for a long long time

Expected Results:
Before as before 15-20 sec or so


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 6.0.0.0.alpha0+
Build ID: c5a93cad149618bbd43632f1660a558c34bdbf7e
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-10-07_01:04:25
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2017-10-07 12:54:56 UTC
Created attachment 136827 [details]
Bibisect log

Bibisect log attached

author	Jan-Marek Glogowski <glogow@fbihome.de>	2017-08-29 08:29:51 (GMT)
committer	Jan-Marek Glogowski <glogow@fbihome.de>	2017-09-26 11:53:28 (GMT)
commit	9679fb26558ea42e47ac9936cef329115a8fdf65 (patch)
tree	eee6c65d50667fc5b9924f98ce8f87a6df9d707a
parent	808d048694630303d895e818cfd5fb48c9d16738 (diff)
tdf#112288 Clarify Reschedule implementations
Application::Reschedule(true) must just process all currently
pending events and ignore all new events generated while processing
them. In contrast to Scheduler::ProcessEventsToIdle, this way it
can't busy-lock the application with background jobs.

This way we also can drop nMaxEvents from the Windows backend. This
limit was also never implemented on OSX and for the KDE4 backend
it's actually impossible to handle single events, and a call to
QAbstractEventDispatcher::processEvents works like this.

Also changes various call sites to just process all pending events
instead of some made up number of times.
Comment 2 Commit Notification 2017-10-13 14:49:30 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3bf6c97029d26ddf20007c47ca6b68e5cc52d846

tdf#112975 WIN correctly handle VclInputFlags::OTHER

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-10-18 10:37:44 UTC
@Telesto,
Could you please retest this issue on master ?
Comment 4 Telesto 2017-10-18 20:20:50 UTC
No repro with:
Version: 6.0.0.0.alpha0+
Build ID: a4a182e24d2e3e954831a0a7c70a7299f28950cb
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-10-18_04:47:29
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Xisco Faulí 2017-10-19 08:50:00 UTC
Hi Jan-Marek Glogowski,
it seems Telesto can no longer reproduce this issue.
Could you please close it as RESOLVED FIXED once your work is done here?